<div ng-controller="Bins as bins">
  <p style="margin-top:10px;">The current filters leave {{bins.totalGenes | number:0}} genes
    of which {{bins.totalGenesWithBins | number:0}} genes ({{bins.totalGenesWithBins/bins.totalGenes*100 | number:1}}%)
    have been divided into {{bins.bins.length}} MAGs (Bins)
    based on the contigs they were predicted on.
    <span ng-if="bins.totalGenes - bins.totalGenesWithBins > 0">
      The remaining {{bins.totalGenes - bins.totalGenesWithBins | number:0}}
      genes ({{(1-bins.totalGenesWithBins/bins.totalGenes)*100 | number:1}}%) have no bin association.
    </span>
  </p>
  <table class="table table-striped table-bordered bins-table" ng-class="{'stale-content': bins.loading}">
    <thead>
    <tr>
      <th class="table-column-header">
        Bin name
        <i ng-if="bins.loading" class="fa fa-fw fa-spinner fa-pulse"></i>
      </th>
      <th class="table-column-header">
        Number of genes
      </th>
      <th class="table-column-header" ng-show="bins.metadataAvailable">
        Completeness (%)
        <div style="font-weight: normal">
          Filter:
          <span ng-show="bins.completenessThresholdRaw !== 0">
            &ge; {{bins.completenessThresholdRaw*5+60}}%
          </span>
          <span ng-show="bins.completenessThresholdRaw === 0">
            off
          </span>
          <span uib-rating ng-model="bins.completenessThresholdRaw" max="7"
                titles="['65%','70%','75%','80%','85%','90%','95%']"
                state-on="'fa fa-circle'" state-off="'fa fa-circle-o'"></span>
        </div>
      </th>
      <th class="table-column-header" ng-show="bins.metadataAvailable">
        Contamination (%)
        <div style="font-weight: normal">
          Filter:

          <span ng-show="bins.contaminationThresholdRaw !== 0">
            &le; {{6-bins.contaminationThresholdRaw}}%
          </span>
          <span ng-show="bins.contaminationThresholdRaw === 0">
            off
          </span>
          <span uib-rating ng-model="bins.contaminationThresholdRaw" max="5"
                titles="['5%','4%','3%','2%','1%']"
                state-on="'fa fa-circle'" state-off="'fa fa-circle-o'"></span>
        </div>
      </th>
      <th class="table-column-header" ng-show="bins.metadataAvailable">
        Classification
      </th>
    </tr>
    </thead>
    <tbody>
    <tr ng-repeat="bin in bins.bins"
        ng-show="!bins.metadataAvailable || 
        ((bins.completenessThresholdRaw === 0 || bin.metadata.completeness >= bins.completenessThresholdRaw*5+60)
        && (bins.contaminationThresholdRaw === 0 || bin.metadata.contamination <= 6-bins.contaminationThresholdRaw))">
      <td>
        Bin {{bin.key}}
        <i class="fa fa-filter" role="button" ng-mousedown="bins.addBinFilterBox(bin.key)"
           uib-tooltip="Create a filter for this bin" tooltip-placement="top"></i>
      </td>
      <td>
        {{bin.doc_count | number:0}}
      </td>
      <td style="border-right: 1px solid #999;background:linear-gradient(to left, #cfe1f1 {{bin.metadata.completeness}}%,#{{$index%2==0? 'f9f9f9' : 'fff'}} {{bin.metadata.completeness}}%)"
          class="td-barchart" ng-show="bins.metadataAvailable">
        {{bin.metadata.completeness | number:1}}
      </td>
      <td style="background:linear-gradient(to right, #{{bin.metadata.contamination>5.0? 'f6aeac' : 'accbe7'}} {{bin.metadata.contamination}}%,#{{$index%2==0? 'f9f9f9' : 'fff'}} {{bin.metadata.contamination}}%)"
          class="td-barchart" ng-show="bins.metadataAvailable">
        {{bin.metadata.contamination | number:1}}
      </td>
      <td ng-show="bins.metadataAvailable" style="width: 25%">
        <span class="rank {{bins.bestClassificationAndLevel(bin)[1].charAt(0).toLowerCase()}}"
              title="{{bins.bestClassificationAndLevel(bin)[1]}}">{{bins.bestClassificationAndLevel(bin)[1].charAt(0).toUpperCase()}}</span>
        {{bins.bestClassificationAndLevel(bin)[0]}}
        <a href="#" ng-show="bins.bestClassificationAndLevel(bin)[0] !== '-'" ng-mousedown="showMore = !showMore"
           style=margin-left:5px;">
          {{showMore ? 'hide' : 'show'}}
        </a>
        <div ng-show="showMore">
          <table class="table table-striped sub-table" style="width: 100%px; margin-bottom: 0">
            <tr ng-repeat="level in bins.GTDBTK_PHYLO_HIERARCHY">
              <td style="width: 25%">{{level}}</td>
              <td>
                {{bin.metadata.classification[level] !== '' ? bin.metadata.classification[level] : '-'}}
              </td>
            </tr>
          </table>
        </div>
      </td>
    </tr>
    </tbody>
  </table>
</div>